diff --git a/examples/editsample/mainwindow.cpp b/examples/editsample/mainwindow.cpp
index 0b191c700287b7f62ad820b03bbbaeb4a0703998..67d11072e20cf2ebfc15fc8e3df02513483471cf 100644
--- a/examples/editsample/mainwindow.cpp
+++ b/examples/editsample/mainwindow.cpp
@@ -33,7 +33,7 @@
 MainWindow::MainWindow(QWidget* const parent)
     : QMainWindow(parent),
       ui(new Ui::MainWindow),
-      mediawiki(0)
+      mediawiki(nullptr)
 {
     ui->setupUi(this);
 }
@@ -96,7 +96,7 @@ void MainWindow::loginHandle(KJob* login)
     }
     else
     {
-        Edit* const job = new Edit(*mediawiki, NULL);
+        Edit* const job = new Edit(*mediawiki, nullptr);
         job->setPageName(this->ui->mPageEdit->text());
         job->setText(this->ui->plainTextEdit->toPlainText());
 
diff --git a/examples/editsample/mainwindow.h b/examples/editsample/mainwindow.h
index 05ddfb880d56fa94405693d8e9f2598aa6a1a3df..87cf65b180c6c8a9d38d5ec7db0da0a170a4dc3e 100644
--- a/examples/editsample/mainwindow.h
+++ b/examples/editsample/mainwindow.h
@@ -52,7 +52,7 @@ class MainWindow : public QMainWindow
 
 public:
 
-    explicit MainWindow(QWidget* const parent = 0);
+    explicit MainWindow(QWidget* const parent = nullptr);
     ~MainWindow();
 
 private Q_SLOTS:
diff --git a/examples/uploadsample/mainwindow.cpp b/examples/uploadsample/mainwindow.cpp
index 724c2ed08836a5d7caa18eef47b0cac7ec83320c..10db732cc4032db7644ef35fbf7f115642889252 100644
--- a/examples/uploadsample/mainwindow.cpp
+++ b/examples/uploadsample/mainwindow.cpp
@@ -142,7 +142,7 @@ void MainWindow::TotalUploadSize(KJob* job, qulonglong size)
 void MainWindow::on_parcourir_clicked()
 {
     QString fileName = QFileDialog::getOpenFileName(this, QLatin1String("Open Image"), "~", QLatin1String("Image Files (*.png *.jpg *.bmp *.jpeg *.gif)"));
-    if(fileName != NULL)
+    if(fileName != nullptr)
     {
         QPixmap preview(fileName);
         QSize size(preview.size());
diff --git a/examples/uploadsample/mainwindow.h b/examples/uploadsample/mainwindow.h
index 541cbf10d0cf16faede9adeb74da226d88d1d44d..11a6e0e93f8073569d574ef196afc99b5fd53c99 100644
--- a/examples/uploadsample/mainwindow.h
+++ b/examples/uploadsample/mainwindow.h
@@ -50,7 +50,7 @@ class MainWindow : public QMainWindow
 
 public:
 
-    explicit MainWindow(QWidget* parent = 0);
+    explicit MainWindow(QWidget* parent = nullptr);
     ~MainWindow();
 
 private Q_SLOTS:
diff --git a/src/edit.h b/src/edit.h
index e31b082400c54e8199ec2763a72df4975e683d58..9052a614499f947fe3f5264e1f9b0f4b5e5a399b 100644
--- a/src/edit.h
+++ b/src/edit.h
@@ -169,7 +169,7 @@ public:
      * @brief Constructs an Edit job.
      * @param parent the QObject parent
      */
-    explicit Edit(MediaWiki& media, QObject* parent = 0);
+    explicit Edit(MediaWiki& media, QObject* parent = nullptr);
     /**
      * @brief Destroys the Edit job.
      */
diff --git a/src/job.cpp b/src/job.cpp
index bf333eea12d9068f2437bf33f9809f915476e82f..7ccf5d5883bf2e563119cdd3d0b155e1634047b3 100644
--- a/src/job.cpp
+++ b/src/job.cpp
@@ -54,7 +54,7 @@ Job::~Job()
 bool Job::doKill()
 {
     Q_D(Job);
-    if (d->reply != 0)
+    if (d->reply != nullptr)
     {
         d->reply->abort();
     }
diff --git a/src/job.h b/src/job.h
index 8c4e291546b7722da7cdf82017110d24ac2beab5..b93543214e680827cb296fdd1432995eb850d1cb 100644
--- a/src/job.h
+++ b/src/job.h
@@ -82,7 +82,7 @@ protected:
      * @param dd a private class
      * @param parent the QObject parent
      */
-    Job(JobPrivate& dd, QObject* const parent = 0);
+    Job(JobPrivate& dd, QObject* const parent = nullptr);
 
     /**
      * @brief Connects signals of the reply object (in the private object) to
diff --git a/src/job_p.h b/src/job_p.h
index fc160acfd995fadfe3c45280ccd2a1c828f2ebb5..5b870d578eae07d5b493e1579bbc40ce367470c8 100644
--- a/src/job_p.h
+++ b/src/job_p.h
@@ -40,7 +40,7 @@ public:
     explicit JobPrivate(MediaWiki& mediawiki)
         : mediawiki(mediawiki),
           manager(mediawiki.manager()),
-          reply(0)
+          reply(nullptr)
     {
     }
 
diff --git a/src/login.h b/src/login.h
index bd171b16685fe0071d980330f835e818f8a679e4..77e24087d301b994896551960447d26c7b787a83 100644
--- a/src/login.h
+++ b/src/login.h
@@ -120,7 +120,7 @@ public:
      * @param password the QObject parent
      * @param parent the QObject parent
      */
-    explicit Login(MediaWiki& mediawiki, const QString& login, const QString& password, QObject* const parent = 0);
+    explicit Login(MediaWiki& mediawiki, const QString& login, const QString& password, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the Login job.
diff --git a/src/logout.h b/src/logout.h
index 5ff1de7e81711015096ba315f8f6e9cc5dd18cf9..f3ffbbfca9f15a5aca31a68d9a75c5193ca4e79d 100644
--- a/src/logout.h
+++ b/src/logout.h
@@ -55,7 +55,7 @@ public:
      * @brief Constructs a Logout job.
      * @param parent the QObject parent
      */
-    explicit Logout(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit Logout(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the Logout job.
diff --git a/src/parse.h b/src/parse.h
index fa0c51884b50d4f3f640eb25435e88b11f9f7639..58a0e19ed3bf6cb3ba414dd628e1d41ccb2b1330 100644
--- a/src/parse.h
+++ b/src/parse.h
@@ -74,7 +74,7 @@ public:
         MissingPage
     };
 
-    explicit Parse(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit Parse(MediaWiki& mediawiki, QObject* const parent = nullptr);
     virtual ~Parse();
 
     void setText(const QString& param);
diff --git a/src/queryimageinfo.h b/src/queryimageinfo.h
index ac1f152d7a01854373f4ef31c5e4796d65f49118..ce1aeebcef0710283acca126ca4441101951af5a 100644
--- a/src/queryimageinfo.h
+++ b/src/queryimageinfo.h
@@ -84,7 +84,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QueryImageinfo(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QueryImageinfo(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destructs a query image info job.
diff --git a/src/queryimages.h b/src/queryimages.h
index cca118f63587d4ffc7c92096a714c4c3d6308cf8..1d2ea73e6c5fa198ea9fa487510ea274c12315a5 100644
--- a/src/queryimages.h
+++ b/src/queryimages.h
@@ -81,7 +81,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QueryImages(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QueryImages(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys a query images job.
diff --git a/src/queryinfo.h b/src/queryinfo.h
index a97e935bdbf88394c8d5919a892485e1cf00c770..4828a9edfe0db6201ea730a367fcd10ff53bee04 100644
--- a/src/queryinfo.h
+++ b/src/queryinfo.h
@@ -65,7 +65,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QueryInfo(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QueryInfo(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the QuerySiteInfoGeneral job.
diff --git a/src/queryrevision.h b/src/queryrevision.h
index 301292044310d506a9258649f52a7c93c474773d..d930bb121d6367eb134b60af4866f19596a6d9f9 100644
--- a/src/queryrevision.h
+++ b/src/queryrevision.h
@@ -140,7 +140,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QueryRevision(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QueryRevision(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the QueryRevision job.
diff --git a/src/querysiteinfogeneral.h b/src/querysiteinfogeneral.h
index d1d95c4cd553f8b0563574b0e3ce276dc4b5dd48..79dd50a7708d3e11fced4140ef88222f5acd5d05 100644
--- a/src/querysiteinfogeneral.h
+++ b/src/querysiteinfogeneral.h
@@ -71,7 +71,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QuerySiteInfoGeneral(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QuerySiteInfoGeneral(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the QuerySiteInfoGeneral job.
diff --git a/src/querysiteinfousergroups.h b/src/querysiteinfousergroups.h
index 7a5c92916035d69f120019317e276ff48e38f34e..3cc39ed1f6f3159e80b8ea5956459f9df0d3175b 100644
--- a/src/querysiteinfousergroups.h
+++ b/src/querysiteinfousergroups.h
@@ -57,7 +57,7 @@ public:
      * @param mediawiki the mediawiki concerned by the job
      * @param parent the QObject parent
      */
-    explicit QuerySiteinfoUsergroups(MediaWiki& mediawiki, QObject* const parent = 0);
+    explicit QuerySiteinfoUsergroups(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the UserGroups job.
diff --git a/src/upload.cpp b/src/upload.cpp
index 6cc9f7e291d9bb5bdb8fa08d6ba258183eaa59db..eed7eb13ccb10b790669ff88ac431ffc7c020102 100644
--- a/src/upload.cpp
+++ b/src/upload.cpp
@@ -56,7 +56,7 @@ public:
     UploadPrivate(MediaWiki& mediawiki)
         : JobPrivate(mediawiki)
     {
-        file = 0;
+        file = nullptr;
     }
 
     static int error(const QString& error)
diff --git a/src/upload.h b/src/upload.h
index 72c918f04956fc72319822131acc9e33b1694070..9a34c7e38859d052b231fae4c02145acd87eed7f 100644
--- a/src/upload.h
+++ b/src/upload.h
@@ -133,7 +133,7 @@ public:
      * @brief Constructs an Upload job.
      * @param parent the QObject parent
      */
-    Upload(MediaWiki& mediawiki, QObject* const parent = 0);
+    Upload(MediaWiki& mediawiki, QObject* const parent = nullptr);
 
     /**
      * @brief Destroys the Upload job.
diff --git a/tests/edittest.cpp b/tests/edittest.cpp
index 90ec1b092e338173474ac6c08f61e7f8c8e9e655..2340744768f7a7df4dfeb0d719c05f7ab351dad3 100644
--- a/tests/edittest.cpp
+++ b/tests/edittest.cpp
@@ -105,7 +105,7 @@ private Q_SLOTS:
         QTest::addColumn<QString>("senario");
         QTest::addColumn<Edit*>("job");
 
-        Edit* const e1 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e1 = new Edit( *m_mediaWiki, nullptr);
         e1->setSection(QStringLiteral("new"));
         e1->setSummary(QStringLiteral("Hello World") );
         e1->setPageName( QStringLiteral("Talk:Main Page") );
@@ -118,7 +118,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e1;
 
-        Edit* const e2 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e2 = new Edit( *m_mediaWiki, nullptr);
         e2->setSection(QStringLiteral("new"));
         e2->setSummary(QStringLiteral("Hello World"));
         e2->setPageName( QStringLiteral("Talk:Main Page") );
@@ -131,7 +131,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e2;
 
-        Edit* const e3 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e3 = new Edit( *m_mediaWiki, nullptr);
         e3->setSection(QStringLiteral("new"));
         e3->setSummary(QStringLiteral("Hello World"));
         e3->setPageName( QStringLiteral("Talk:Main Page") );
@@ -144,7 +144,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e3;
 
-        Edit* const e4 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e4 = new Edit( *m_mediaWiki, nullptr);
         e4->setSummary(QStringLiteral("Hello World"));
         e4->setPageName( QStringLiteral("Talk:Main Page") );
         e4->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -156,7 +156,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e4;
 
-        Edit* const e5 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e5 = new Edit( *m_mediaWiki, nullptr);
         e5->setSummary(QStringLiteral("Hello World"));
         e5->setPageName( QStringLiteral("Talk:Main Page") );
         e5->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -168,7 +168,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e5;
 
-        Edit* const e6 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e6 = new Edit( *m_mediaWiki, nullptr);
         e6->setSummary(QStringLiteral("Hello World"));
         e6->setPageName( QStringLiteral("Talk:Main Page") );
         e6->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -182,7 +182,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e6;
 
-        Edit* const e7 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e7 = new Edit( *m_mediaWiki, nullptr);
         e7->setSummary(QStringLiteral("Hello World"));
         e7->setPageName( QStringLiteral("Talk:Main Page") );
         e7->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -196,7 +196,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e7;
 
-        Edit* const e8 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e8 = new Edit( *m_mediaWiki, nullptr);
         e8->setSummary(QStringLiteral("Hello World"));
         e8->setPageName( QStringLiteral("Talk:Main Page") );
         e8->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -210,7 +210,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e8;
 
-        Edit* const e9 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e9 = new Edit( *m_mediaWiki, nullptr);
         e9->setSummary(QStringLiteral("Hello World"));
         e9->setPageName( QStringLiteral("Talk:Main Page") );
         e9->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -224,7 +224,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e9;
 
-        Edit* const e10 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e10 = new Edit( *m_mediaWiki, nullptr);
         e10->setSummary(QStringLiteral("Hello World"));
         e10->setPageName( QStringLiteral("Talk:Main Page") );
         e10->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -236,7 +236,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e10;
 
-        Edit* const e11 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e11 = new Edit( *m_mediaWiki, nullptr);
         e11->setSummary(QStringLiteral("Hello World"));
         e11->setPageName( QStringLiteral("Talk:Main Page") );
         e11->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -248,7 +248,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e11;
 
-        Edit* const e12 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e12 = new Edit( *m_mediaWiki, nullptr);
         e12->setSummary(QStringLiteral("Hello World"));
         e12->setPageName( QStringLiteral("Talk:Main Page") );
         e12->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -260,7 +260,7 @@ private Q_SLOTS:
                 << QStringLiteral("<api><edit result=\"Success\" pageid=\"12\" title=\"Talk:Main Page\" oldrevid=\"465\" newrevid=\"471\" /></api>")
                 << e12;
 
-        Edit* const e13 = new Edit( *m_mediaWiki, NULL);
+        Edit* const e13 = new Edit( *m_mediaWiki, nullptr);
         e13->setSummary(QStringLiteral("Hello World"));
         e13->setPageName( QStringLiteral("Talk:Main Page") );
         e13->setToken( QStringLiteral("cecded1f35005d22904a35cc7b736e18+\\") );
@@ -290,7 +290,7 @@ private Q_SLOTS:
             fakeserver.startAndWait();
         }
 
-        Edit* const job = new Edit(mediawiki, NULL);
+        Edit* const job = new Edit(mediawiki, nullptr);
         job->setSection(QStringLiteral("new"));
         job->setSummary(QStringLiteral("Hello World") );
         job->setPageName( QStringLiteral("Talk:Main Page") );
@@ -402,7 +402,7 @@ private Q_SLOTS:
         fakeserver.addScenario(senario);
         fakeserver.startAndWait();
 
-        Edit edit( *m_mediaWiki, NULL);
+        Edit edit( *m_mediaWiki, nullptr);
         edit.setSection(QStringLiteral("new"));
         edit.setSummary(QStringLiteral("Hello World") );
         edit.setPageName( QStringLiteral("Talk:Main Page") );
diff --git a/tests/libmediawikitest/fakeserver.cpp b/tests/libmediawikitest/fakeserver.cpp
index f5414b497b3bcb73905c00fd4bc03cb20d43548a..30c10b89fe9318ca25e75df2a59c71e20d5a57fb 100644
--- a/tests/libmediawikitest/fakeserver.cpp
+++ b/tests/libmediawikitest/fakeserver.cpp
@@ -32,8 +32,8 @@
 FakeServer::FakeServer(QObject* const parent)
 :  QThread( parent )
 {
-    m_clientSocket = 0;
-    m_tcpServer    = 0;
+    m_clientSocket = nullptr;
+    m_tcpServer    = nullptr;
 
     moveToThread(this);
 }
diff --git a/tests/libmediawikitest/fakeserver.h b/tests/libmediawikitest/fakeserver.h
index fd59a9367c90a147c97601082eb2f7902fcfde21..1d4eef3dc998bf833d6a6a3d04f0f906ac9182ed 100644
--- a/tests/libmediawikitest/fakeserver.h
+++ b/tests/libmediawikitest/fakeserver.h
@@ -57,7 +57,7 @@ public:
         }
     };
 
-    FakeServer(QObject* const parent = 0);
+    FakeServer(QObject* const parent = nullptr);
     ~FakeServer();
 
     void startAndWait();
diff --git a/tests/parsetest.cpp b/tests/parsetest.cpp
index 8f7f9b4f8deea8c6deb2fac956daa142c4bc3e96..f12a28eeb3bd313925035b1cf305c1bb32b2a028 100644
--- a/tests/parsetest.cpp
+++ b/tests/parsetest.cpp
@@ -93,7 +93,7 @@ private Q_SLOTS:
         QString scenario = QStringFromFile(QStringLiteral("./parsetest_result.rc"));
         QString result   = QStringFromFile(QStringLiteral("./parsetest_resulttrue.rc"));
 
-        Parse* const job = new Parse(*m_mediaWiki, NULL);
+        Parse* const job = new Parse(*m_mediaWiki, nullptr);
         parseCount = 0;
         FakeServer fakeserver;
         fakeserver.setScenario(scenario);
@@ -137,7 +137,7 @@ private Q_SLOTS:
         QTest::addColumn<QString>("request");        
         QTest::addColumn<Parse*>("job");
 
-        Parse* const p1 = new Parse( *m_mediaWiki, NULL);
+        Parse* const p1 = new Parse( *m_mediaWiki, nullptr);
         p1->setText(QStringLiteral("listedecharacteres"));
 
         QTest::newRow("Text")
@@ -145,7 +145,7 @@ private Q_SLOTS:
                 << QStringLiteral("/?format=xml&action=parse&text=listedecharacteres")
                 << p1;
 
-        Parse* const p2 = new Parse( *m_mediaWiki, NULL);
+        Parse* const p2 = new Parse( *m_mediaWiki, nullptr);
         p2->setPageName(QStringLiteral("listedecharacteres"));
 
         QTest::newRow("Page Name")
@@ -153,7 +153,7 @@ private Q_SLOTS:
                 << QStringLiteral("/?format=xml&action=parse&page=listedecharacteres")
                 << p2;
 
-        Parse* const p3 = new Parse( *m_mediaWiki, NULL);
+        Parse* const p3 = new Parse( *m_mediaWiki, nullptr);
         p3->setTitle(QStringLiteral("listedecharacteres"));
 
         QTest::newRow("Title")
@@ -161,7 +161,7 @@ private Q_SLOTS:
                 << QStringLiteral("/?format=xml&action=parse&title=listedecharacteres")
                 << p3;
 
-        Parse* const p4 = new Parse( *m_mediaWiki, NULL);
+        Parse* const p4 = new Parse( *m_mediaWiki, nullptr);
         p4->setUseLang(QStringLiteral("fr"));
 
         QTest::newRow("User Langue")
diff --git a/tests/uploadtest.cpp b/tests/uploadtest.cpp
index 21e912e9a422a4127408608ce8139c723424cd7b..992d49813ce5cb1dc52b416a47248f982251f921 100644
--- a/tests/uploadtest.cpp
+++ b/tests/uploadtest.cpp
@@ -87,7 +87,7 @@ private Q_SLOTS:
         QTest::addColumn<QString>("senario");
         QTest::addColumn<Upload*>("job");
 
-        Upload * e1 = new Upload( *m_mediaWiki, NULL);
+        Upload * e1 = new Upload( *m_mediaWiki, nullptr);
         e1->setFile(this->m_file);
         e1->setFilename(QStringLiteral("Test.jpeg"));
         e1->setComment(QStringLiteral("Test"));
@@ -113,7 +113,7 @@ private Q_SLOTS:
             fakeserver.startAndWait();
         }
 
-        Upload * job = new Upload(mediawiki, NULL);
+        Upload * job = new Upload(mediawiki, nullptr);
         job->setFile(this->m_file);
         job->setFilename(QStringLiteral("Test.jpeg"));
         job->setComment(QStringLiteral("Test"));
